Bug 1652596 - openstack-ceilometer-collector service spewing error logs continuously causing the filesystem to fill rapidly
Summary: openstack-ceilometer-collector service spewing error logs continuously causin...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: zstream
: 10.0 (Newton)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:00 UTC by Punit Kundal
Modified: 2019-01-16 15:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-16 15:13:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Julien Danjou 2018-12-05 10:02:37 UTC
Hi Punit,

I don't think the zenoss dispatcher is a problem as it is executed after receiving events/samples.

What's going here is that something emits on the RabbitMQ notifications bus a message that is not correctly formatted AFAIU. We've never seen this problem on any deployment on OSP10 so I wonder if it's a new never seen bug in an OpenStack component, or more likely some other external programs connected to RabbitMQ that would send wrongly formatted notifications.

What kind of network solution do they use with Neutron?


Note You need to log in before you can comment on or make changes to this bug.